#ifndef __scGame_h__
#define __scGame_h__

#include "Wumbo-Header.h"
#include "Wumbo-Scene.h"

#define DASHER 0
#define DANCER 1
#define PRANCER 2
#define VIXEN 3
#define COMET 4 
#define CUPID 5
#define DONNER 6 
#define BLITZEN 7
#define RUDOLPH 8

#define BOARD_SIZE 8
#define TILE_SIZE (768/BOARD_SIZE)


class scGame : public Wumbo::Scene
{
	private:
		void makeNewLevel(int xx = -1, int yy = 0);
		bool generateLevel(int krampusStartX, int krampusStartY, time_t startTime);
		int currentLevel;
		int LEVELNUMBER;
	public:
		scGame();
		scGame(Wumbo::Program *prog);
		void begin();
		void update();
		void render();
		void end();
		void onClose();

};
#endif